#!/usr/bin/env bash
# TA-Proxmenu - Proxmox Scripts for TA Use

action="$1"
FOLDER='/opt/idssys/ta-proxmenu'
VERS='2026.3.10'

RNIP=$(ip addr show $(ip route | awk '/default/ { print $5 }') | grep "inet" | head -n 1 | awk '/inet/ {print $2}' | cut -d'/' -f1)


url="https://fedorapeople.org/groups/virt/virtio-win/direct-downloads/stable-virtio/virtio-win.iso"
while redirect_url=$( curl -I -s -S -f -w "%{redirect_url}\\n" -o /dev/null "${url}" ); do
  VIRTIO_DOWNLOAD_URL=${url}; url=${redirect_url}; [[ -z "$url" ]] && break
done
VIRTIO_FILE=${VIRTIO_DOWNLOAD_URL##*/}

